Debian Bug report logs - #544617
frozen-bubble does not set the _NET_WM_STATE_FULLSCREEN hint

version graph

Package: libsdl1.2debian; Maintainer for libsdl1.2debian is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>; Source for libsdl1.2debian is src:libsdl1.2.

Reported by: Michael Stapelberg <michael+db20090501@stapelberg.de>

Date: Tue, 1 Sep 2009 22:09:01 UTC

Severity: normal

Fixed in version 1.2.15-1

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#544617; Package frozen-bubble. (Tue, 01 Sep 2009 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 01 Sep 2009 22:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: frozen-bubble does not set the _NET_WM_STATE_FULLSCREEN hint
Date: Wed, 02 Sep 2009 00:02:41 +0200
Package: frozen-bubble
Version: 2.2.0-1
Severity: normal

When using frozen-bubble --fullscreen, the window does not set the
_NET_WM_STATE_FULLSCREEN atom as its _NET_WM_STATE, therefore causing
window managers to still manage the client as they normally would
(drawing window decorations) if they do not implement the heuristics
of automatically putting clients into fullscreen if they acquire the
whole screen space.

Please correctly set this property, especially as frozen-bubble already
uses another NetWM hint (_NET_WM_NAME).

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30.2-9 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages frozen-bubble depends on:
ii  fb-music-high               0.1.2        High quality, large music files fo
ii  frozen-bubble-data          2.2.0-1      Data files for Frozen-Bubble
ii  libc6                       2.9-23       GNU C Library: Shared libraries
ii  libglib2.0-0                2.20.1-2     The GLib library of C routines
ii  libpango1.0-0               1.24.0-3+b1  Layout and rendering of internatio
ii  libsdl-mixer1.2             1.2.8-6      mixer library for Simple DirectMed
ii  libsdl-pango1               0.1.2-4      text rendering with Pango in SDL a
ii  libsdl-perl                 1.20.3dfsg-4 SDL bindings for the Perl language
ii  libsdl1.2debian             1.2.13-4+b1  Simple DirectMedia Layer
ii  perl                        5.10.0-24    Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.0]  5.10.0-24    minimal Perl system

frozen-bubble recommends no packages.

frozen-bubble suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#544617; Package frozen-bubble. (Wed, 02 Sep 2009 16:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to 544617@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 02 Sep 2009 16:30:12 GMT) Full text and rfc822 format available.

Message #10 received at 544617@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Stapelberg <michael+db20090501@stapelberg.de>, 544617@bugs.debian.org
Subject: Re: Bug#544617: frozen-bubble does not set the _NET_WM_STATE_FULLSCREEN hint
Date: Wed, 02 Sep 2009 18:04:54 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 02 septembre 2009 à 00:02 +0200, Michael Stapelberg a
écrit : 
> When using frozen-bubble --fullscreen, the window does not set the
> _NET_WM_STATE_FULLSCREEN atom as its _NET_WM_STATE, therefore causing
> window managers to still manage the client as they normally would
> (drawing window decorations) if they do not implement the heuristics
> of automatically putting clients into fullscreen if they acquire the
> whole screen space.
> 
> Please correctly set this property, especially as frozen-bubble already
> uses another NetWM hint (_NET_WM_NAME).

I suspect this has to do with SDL, which should do that if needed. Does
this happen with other games based on SDL?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#544617; Package frozen-bubble. (Fri, 04 Sep 2009 22:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 04 Sep 2009 22:00:08 GMT) Full text and rfc822 format available.

Message #15 received at 544617@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: 544617 <544617@bugs.debian.org>
Subject: Re: Bug#544617: frozen-bubble does not set the _NET_WM_STATE_FULLSCREEN hint
Date: Fri, 04 Sep 2009 23:49:50 +0200
Hi,

Excerpts from Josselin Mouette's message of Mi Sep 02 18:04:54 +0200 2009:
> I suspect this has to do with SDL, which should do that if needed. Does
> this happen with other games based on SDL?
Sorry for taking so long. I just tested bomberclone, which also uses SDL,
and it has the same problem. So, feel free to forward this bug to the
appropriate SDL package.

Thanks and best regards,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#544617; Package frozen-bubble. (Sat, 05 Sep 2009 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Sat, 05 Sep 2009 00:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 544617@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Stapelberg <michael+db20090501@stapelberg.de>, 544617@bugs.debian.org
Cc: pkg-sdl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#544617: frozen-bubble does not set the _NET_WM_STATE_FULLSCREEN hint
Date: Sat, 05 Sep 2009 02:08:16 +0200
[Message part 1 (text/plain, inline)]
reassign 544617 libsdl1.2debian
thanks

Le vendredi 04 septembre 2009 à 23:49 +0200, Michael Stapelberg a
écrit : 
> Sorry for taking so long. I just tested bomberclone, which also uses SDL,
> and it has the same problem. So, feel free to forward this bug to the
> appropriate SDL package.

Thanks for testing, I’m reassigning.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'frozen-bubble' to 'libsdl1.2debian'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sat, 05 Sep 2009 00:15:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions frozen-bubble/2.2.0-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sat, 05 Sep 2009 00:15:05 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sat, 03 Mar 2012 20:57:12 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 20:57:12 GMT) Full text and rfc822 format available.

Message #29 received at 544617-done@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 544617-done@bugs.debian.org
Subject: Re: frozen-bubble does not set the _NET_WM_STATE_FULLSCREEN hint
Date: Sat, 3 Mar 2012 20:54:59 +0000
Version: 1.2.15-1

Hello,

Thank you for your interest in improving Debian, and sorry to keep the
bug unattended for so long.  There's now an effort to review the open
bugs related with SDL packages.

This commits seems to address this bug:
http://hg.libsdl.org/SDL/rev/b1b9ec9874ba

Which is part of version 1.2.15-1, released a while ago.

So I think that the problem has been fixed and thus I am closing the
bug report now.  Please reopen it if you find that this problem is
still present.

Regards.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:36:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:18:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.